com.genesyslab.wfm7.API.service.calendar712

## Class CalUpdatedSnapshot

- java.lang.Object
- - com.genesyslab.wfm7.API.service.calendar712.CalUpdatedSnapshot

- All Implemented Interfaces:
    java.io.Serializable

      public class CalUpdatedSnapshot
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `errorArraySize`
    `private CalItemError[]` | `errors`
    `private int` | `indexArraySize`
    `private int[]` | `indexes`
    `private java.lang.String` | `snapshotId`
    `private long` | `timestamp`
    `private int` | `totalCalendarItemsCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalUpdatedSnapshot()`
    `CalUpdatedSnapshot(java.lang.String snapshotId, int totalCalendarItemsCount, long timestamp, int errorArraySize, CalItemError[] errors, int indexArraySize, int[] indexes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getErrorArraySize()` Gets the errorArraySize value for this CalUpdatedSnapshot.
    `CalItemError[]` | `getErrors()` Gets the errors value for this CalUpdatedSnapshot.
    `int` | `getIndexArraySize()` Gets the indexArraySize value for this CalUpdatedSnapshot.
    `int[]` | `getIndexes()` Gets the indexes value for this CalUpdatedSnapshot.
    `java.lang.String` | `getSnapshotId()` Gets the snapshotId value for this CalUpdatedSnapshot.
    `long` | `getTimestamp()` Gets the timestamp value for this CalUpdatedSnapshot.
    `int` | `getTotalCalendarItemsCount()` Gets the totalCalendarItemsCount value for this CalUpdatedSnapshot.
    `int` | `hashCode()`
    `void` | `setErrorArraySize(int errorArraySize)` Sets the errorArraySize value for this CalUpdatedSnapshot.
    `void` | `setErrors(CalItemError[] errors)` Sets the errors value for this CalUpdatedSnapshot.
    `void` | `setIndexArraySize(int indexArraySize)` Sets the indexArraySize value for this CalUpdatedSnapshot.
    `void` | `setIndexes(int[] indexes)` Sets the indexes value for this CalUpdatedSnapshot.
    `void` | `setSnapshotId(java.lang.String snapshotId)` Sets the snapshotId value for this CalUpdatedSnapshot.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CalUpdatedSnapshot.
    `void` | `setTotalCalendarItemsCount(int totalCalendarItemsCount)` Sets the totalCalendarItemsCount value for this CalUpdatedSnapshot.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### snapshotId

          private java.lang.String snapshotId

    - #### totalCalendarItemsCount

          private int totalCalendarItemsCount

    - #### timestamp

          private long timestamp

    - #### errorArraySize

          private int errorArraySize

    - #### errors

          private CalItemError[] errors

    - #### indexArraySize

          private int indexArraySize

    - #### indexes

          private int[] indexes

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CalUpdatedSnapshot

          public CalUpdatedSnapshot()

    - #### CalUpdatedSnapshot

          public CalUpdatedSnapshot(java.lang.String snapshotId,
                            int totalCalendarItemsCount,
                            long timestamp,
                            int errorArraySize,
                            CalItemError[] errors,
                            int indexArraySize,
                            int[] indexes)

  - ### Method Detail

    - #### getSnapshotId

          public java.lang.String getSnapshotId()

      Gets the snapshotId value for this CalUpdatedSnapshot.
      Returns:
        snapshotId

    - #### setSnapshotId

          public void setSnapshotId(java.lang.String snapshotId)

      Sets the snapshotId value for this CalUpdatedSnapshot.
      Parameters:
        `snapshotId` -

    - #### getTotalCalendarItemsCount

          public int getTotalCalendarItemsCount()

      Gets the totalCalendarItemsCount value for this CalUpdatedSnapshot.
      Returns:
        totalCalendarItemsCount

    - #### setTotalCalendarItemsCount

          public void setTotalCalendarItemsCount(int totalCalendarItemsCount)

      Sets the totalCalendarItemsCount value for this CalUpdatedSnapshot.
      Parameters:
        `totalCalendarItemsCount` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CalUpdatedSnapshot.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CalUpdatedSnapshot.
      Parameters:
        `timestamp` -

    - #### getErrorArraySize

          public int getErrorArraySize()

      Gets the errorArraySize value for this CalUpdatedSnapshot.
      Returns:
        errorArraySize

    - #### setErrorArraySize

          public void setErrorArraySize(int errorArraySize)

      Sets the errorArraySize value for this CalUpdatedSnapshot.
      Parameters:
        `errorArraySize` -

    - #### getErrors

          public CalItemError[] getErrors()

      Gets the errors value for this CalUpdatedSnapshot.
      Returns:
        errors

    - #### setErrors

          public void setErrors(CalItemError[] errors)

      Sets the errors value for this CalUpdatedSnapshot.
      Parameters:
        `errors` -

    - #### getIndexArraySize

          public int getIndexArraySize()

      Gets the indexArraySize value for this CalUpdatedSnapshot.
      Returns:
        indexArraySize

    - #### setIndexArraySize

          public void setIndexArraySize(int indexArraySize)

      Sets the indexArraySize value for this CalUpdatedSnapshot.
      Parameters:
        `indexArraySize` -

    - #### getIndexes

          public int[] getIndexes()

      Gets the indexes value for this CalUpdatedSnapshot.
      Returns:
        indexes

    - #### setIndexes

          public void setIndexes(int[] indexes)

      Sets the indexes value for this CalUpdatedSnapshot.
      Parameters:
        `indexes` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.